Page MenuHomePhabricator

Sprint: Wikimedia Site Requests triage/cleanup/process
Closed, ResolvedPublic

Description

There's a lot of stuff (150 as of May 14) at:

Let's have an open sprint where people can come and have their pet issue resolved (while we're resolving all of the issues we can).

Event Timeline

greg created this task.Feb 23 2015, 6:20 PM
greg raised the priority of this task from to Needs Triage.
greg updated the task description. (Show Details)
greg added a project: Wikimania-Hackathon-2015.
greg added subscribers: greg, demon, mmodell, Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2015, 6:20 PM
greg set Security to None.
greg edited projects, added Wikimedia-Hackathon-2015; removed Wikimania-Hackathon-2015.
greg moved this task from Backlog to Hacking proposals on the Wikimedia-Hackathon-2015 board.

Open shell bugs

For the records, "shell" is not used anymore, see T87623. If there are relevant open tickets they should be added to corresponding active projects.

tomasz updated the task description. (Show Details)Feb 23 2015, 7:41 PM
aude renamed this task from Hackathon Proposal: Wikimedia Site Requests Spring to Hackathon Proposal: Wikimedia Site Requests Sprint.Feb 23 2015, 8:27 PM
Se4598 added a subscriber: Se4598.Feb 24 2015, 11:01 AM
TTO added a subscriber: TTO.Feb 24 2015, 11:35 AM

Thanks Chad, this work is sorely needed. I went through the Site Requests component in Bugzilla some time ago and was dismayed at the lack of progress on some issues.

A number of tasks are quite easy, such as those asking for obsolete DB tables to be dropped. Additionally, there are a number of requests to rename wikis - I would love to see progress on this. Reedy did look at this at one point. There are also some tracking bugs that should be converted to projects.

Ideally the Wikimedia-Site-requests project would be split up. Most(?) issues in there are not actually "site requests" (requests relating to an individual wiki). I would say there is a need for categories/projects for:

demon added a comment.Feb 26 2015, 6:28 PM
In T90468#1062029, @TTO wrote:

Additionally, there are a number of requests to rename wikis - I would love to see progress on this. Reedy did look at this at one point.

Yeah, T21986 needs a lot of love. I'd really like to see us make progress on this in Lyon.

RobH added a subscriber: RobH.Feb 27 2015, 4:31 PM
Quiddity updated the task description. (Show Details)May 15 2015, 6:34 AM
Quiddity awarded a token.

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

greg closed this task as Declined.May 27 2015, 10:34 PM
greg claimed this task.

didn't happen, maybe next time

greg reopened this task as Open.May 27 2015, 11:46 PM
greg triaged this task as Normal priority.
greg edited projects, added Wikimania-Hackathon-2015; removed Wikimedia-Hackathon-2015.

Reopening for Wikimania Hackathon, which I forgot about when I closed this.

Krenair claimed this task.May 28 2015, 1:22 PM

After speaking to @greg and @Qgil, I've decided to do this

@Krenair has anything been achieved ? @Qgil might want to hear about it for the hackathon report.

@hashar: please read the last few comments, this is for Wikimania now, not Lyon

hashar removed a subscriber: hashar.
Krenair added a comment.EditedMay 31 2015, 11:56 AM

Looks like Wikimedia-Extension-setup could do with some review as well

greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.Jun 5 2015, 3:45 PM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Krenair renamed this task from Hackathon Proposal: Wikimedia Site Requests Sprint to Sprint: Wikimedia Site Requests triage/cleanup/process.Jul 6 2015, 2:30 AM

Listed at https://wikimania2015.wikimedia.org/wiki/Hackathon#Projects_for_experienced_contributors now
(Obviously we want experienced contributors to help go through existing bugs, but other people are of course very welcome/encouraged to come and get their pet issue resolved).

What is the status of this task, now that Wikimania 2015 is over? Did this hacking project take place and was successfully finished? If yes: Please provide an update and potentially summarize findings / provide a link to anything relevant (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Krenair added a comment.EditedJul 23 2015, 4:01 PM

What is the status of this task, now that Wikimania 2015 is over?

Still going. I managed to look through about half of the workboard and process a load of tickets/commits.

Please provide an update and potentially summarize findings

I found that people could create new tickets at what felt like half as fast as I could resolve existing ones. :( There was one or two people who came to me with things they wanted fixed, but mostly I was the only person focusing on this and getting occasional useful insight into individual issues from people at my table. I also used part of the time to work with people on semi-related things like the OS migration and a beta cluster issue or two.

Krenair closed this task as Resolved.Aug 22 2015, 5:58 PM

At this point I've read the majority of of the open tasks, as well as added a few more workboard columns to indicate the status of them (which I've tried to categorise open tasks into). You can find details about each column in the project description.
One thing I would still like to get cleared up is much more general - the project scope, especially with respect to maintenance scripts (which can be performed by 'restricted' users as well as deployers - I would like to get more sysadmins involved in actively processing these) and Wikimedia-Extension-setup, but that's something that needs a separate discussion and probably shouldn't just be unilaterally done by me.
I don't think there's any point keeping this ticket open for much longer now, so closing.

@Krenair: Big thanks for your work! Appreciated.

greg moved this task from Backlog to Done on the Release-Engineering-Team board.Sep 8 2015, 8:42 PM